Package net.snowflake.client.jdbc

## Class SnowflakeRichResultSetSerializableV1.SnowflakeRichResultsColumnMetadata

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeColumnMetadata
  - - net.snowflake.client.jdbc.SnowflakeRichResultSetSerializableV1.SnowflakeRichResultsColumnMetadata

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SnowflakeRichResultSetSerializableV1

    @SnowflakeJdbcInternalApi
    public static class SnowflakeRichResultSetSerializableV1.SnowflakeRichResultsColumnMetadata
    extends SnowflakeColumnMetadata

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeRichResultsColumnMetadata​(com.fasterxml.jackson.databind.JsonNode colNode, boolean jdbcTreatDecimalAsInt, SFBaseSession session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumnIndex()`
`String` `toString()`

### Methods inherited from class net.snowflake.client.jdbc.SnowflakeColumnMetadata

`getBase, getColumnSrcDatabase, getColumnSrcSchema, getColumnSrcTable, getDimension, getFields, getLength, getName, getPrecision, getScale, getType, getTypeName, isAutoIncrement, isFixed, isNullable, setAutoIncrement, setFields, setFixed, setLength, setName, setNullable, setPrecision, setScale, setType, setTypeName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeRichResultsColumnMetadata

    public SnowflakeRichResultsColumnMetadata​(com.fasterxml.jackson.databind.JsonNode colNode,
                                              boolean jdbcTreatDecimalAsInt,
                                              SFBaseSession session)
                                       throws SnowflakeSQLLoggedException

Throws:
  `SnowflakeSQLLoggedException`

### Method Detail

#### getColumnIndex

    public int getColumnIndex()

#### toString

    public String toString()

Overrides:
  `toString` in class `SnowflakeColumnMetadata`